Bug 826561 - sync schedule delete does not delete the sync schedule
sync schedule delete does not delete the sync schedule
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 09:59 EDT by Preethi Thomas
Modified: 2014-03-30 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jason Connor 2012-05-31 11:47:09 EDT
After fixing bug #826550, this problem went away. I believe it was the result of a failed sync sitting in the queue, postponing the initial delete and the initial delete raised a conflict for the subsequent delete.
Comment 2 Jay Dobies 2012-06-29 15:06:40 EDT
In release 0.309
Comment 3 Preethi Thomas 2012-07-25 14:42:36 EDT
verified
[root@preethi-el6-pulp ~]# pulp-admin repo sync schedules create  --schedule 2012-07-22T10:30:00Z/P1D --repo-id drpm
Schedule successfully created

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 

[root@preethi-el6-pulp ~]# pulp-admin repo sync schedules list --repo-id drpm
+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

Schedule: 2012-07-22T10:30:00Z/P1D
Id:       50103e62196f4545980022ab
Enabled:  True
Last Run: None
Next Run: 2012-07-26T10:30:00Z



[root@preethi-el6-pulp ~]# pulp-admin repo sync schedules delete --repo-id drpm --schedule-id 50103e62196f4545980022ab
Schedule successfully deleted

[root@preethi-el6-pulp ~]# pulp-admin repo sync schedules list --repo-id drpm
+----------------------------------------------------------------------+
                               Schedules
+----------------------------------------------------------------------+

There are no schedules defined for this operation.

[root@preethi-el6-pulp ~]#
Comment 4 Preethi Thomas 2013-01-09 12:09:09 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.